Package twisted :: Package web :: Module proxy :: Class ReverseProxyRequest |
[frames | no frames]

## Class ReverseProxyRequest

    Request --+
              |
             ReverseProxyRequest

Used by ReverseProxy to implement a simple reverse proxy.

Method Summary
| ``process`(self)` Override in subclasses.
Inherited from Request
| ``__init__`(self, channel, queued)`
| ``__repr__`(self)`
| ``_authorize`(self)`
| ``_cleanup`(self)` Called when have finished responding and are no longer queued.
| ``_sendError`(self, code, resp)`
| ``addCookie`(self, k, v, expires, domain, path, max_age, comment, secure)` Set an outgoing HTTP cookie.
| ``connectionLost`(self, reason)` connection was lost
| ``finish`(self)` We are finished writing data.
| ``getAllHeaders`(self)` Return dictionary of all headers the request received.
| ``getClient`(self)`
| ``getClientIP`(self)`
| ``getCookie`(self, key)` Get a cookie that was sent from the network.
| ``getHeader`(self, key)` Get a header that was sent from the network.
| ``getHost`(self)` Get my originally requesting transport's host.
| ``getPassword`(self)`
| ``getRequestHostname`(self)` Get the hostname that the user passed in to the request.
| ``getUser`(self)`
| ``gotLength`(self, length)` Called when HTTP channel got length of content in this request.
| ``handleContentChunk`(self, data)` Write a chunk of data.
| ``isSecure`(self)`
| ``noLongerQueued`(self)` Notify the object that it is no longer queued.
| ``parseCookies`(self)` Parse cookie headers.
| ``redirect`(self, url)` Utility function that does a redirect.
| ``registerProducer`(self, producer, streaming)` Register a producer.
| ``requestReceived`(self, command, path, version)` Called by channel when all data has been received.
| ``setETag`(self, etag)` Set an entity tag for the outgoing response.
| ``setHeader`(self, k, v)` Set an outgoing HTTP header.
| ``setHost`(self, host, port, ssl)` Change the host and port the request thinks it's using.
| ``setLastModified`(self, when)` Set the Last-Modified time for the response to this request.
| ``setResponseCode`(self, code, message)` Set the HTTP response code.
| ``unregisterProducer`(self)` Unregister the producer.
| ``write`(self, data)` Write some data as a result of an HTTP request.

Instance Variable Summary
Inherited from Request
A mapping of strings (the argument names) to lists of values. i.e., ?foo=bar&foo=baz&quux=spam results in {'foo': ['bar', 'baz'], 'quux': ['spam']}. | `args`: All of the arguments, including URL and POST arguments.
| `path`: The path only (arguments not included).

Class Variable Summary
Inherited from Request
`int` | `chunked` = 0
`str` | `clientproto` = `'(no clientproto yet)'`
`int` | `code` = 200
`str` | `code_message` = `'OK'`
`NoneType` | `etag` = None
`int` | `finished` = 0
`NoneType` | `lastModified` = None
`str` | `method`: The HTTP method that was used.
`NoneType` | `producer` = None
`int` | `sentLength` = 0
`int` | `startedWriting` = 0
`str` | `uri`: The full URI that was requested (includes arguments).

Method Details

### process(self) Override in subclasses. This method is not intended for users. Overrides: `twisted.protocols.http.Request.process` (inherited documentation)

Generated by Epydoc 2.0 on Sat Oct 25 00:55:04 2003 | http://epydoc.sf.net